summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO10
-rw-r--r--PKGBUILD34
2 files changed, 22 insertions, 22 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 70c7a1e6e10..14d5b543e1b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,9 +1,7 @@
-# Generated by mksrcinfo v8
-# Sun Jan 15 20:27:08 UTC 2017
pkgbase = banshee-community-extensions
pkgdesc = Banshee Community Extensions is a repository and project for extensions to the Banshee media player that are community contributed and maintained.
pkgver = 2.4.0
- pkgrel = 2
+ pkgrel = 3
url = http://banshee.fm/
arch = i686
arch = x86_64
@@ -14,7 +12,9 @@ pkgbase = banshee-community-extensions
makedepends = notify-sharp
makedepends = fftw>=3
makedepends = libsamplerate
+ makedepends = gstreamer0.10-base-plugins>=0.10.15
makedepends = lirc
+ makedepends = taoframework
makedepends = empathy>=2.27.91
makedepends = telepathy-gabble>=0.9
makedepends = telepathy-mission-control>=5.3.1
@@ -31,14 +31,14 @@ pkgbase = banshee-community-extensions
optdepends = notify-sharp: For the AppIndicator extension
optdepends = fftw>=3: For the LastFM Fingerprint and Mirage extensions
optdepends = libsamplerate: For the LastFM Fingerprint and Mirage extensions
- optdepends = gstreamer0.10-base>=0.10.15: For the LastFM Fingerprint and Mirage extensions
optdepends = gstreamer0.10-base-plugins>=0.10.15: For the LastFM Fingerprint and Mirage extensions
optdepends = lcdproc: For the LCDproc extension
optdepends = lirc: For the LIRC extension
+ optdepends = taoframework: For the OpenVP extension
optdepends = empathy>=2.27.91: For the Telepathy extension
optdepends = telepathy-gabble>=0.9: For the Telepathy extension
optdepends = telepathy-mission-control>=5.3.1: For the Telepathy extension
- source = http://download.banshee.fm/banshee-community-extensions/2.4.0/banshee-community-extensions-2.4.0.tar.bz2
+ source = http://http.debian.net/debian/pool/main/b/banshee-community-extensions/banshee-community-extensions_2.4.0.orig.tar.bz2
sha256sums = 6f20404de80090bb5d88a57c043e876a192f480ac3488ce7697344f1447d48b3
pkgname = banshee-community-extensions
diff --git a/PKGBUILD b/PKGBUILD
index d1cb6ef430b..13f9d6fb341 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
# Maintainer: Willem Mulder <14mRh4X0r@gmail.com>
pkgname=banshee-community-extensions
pkgver=2.4.0
-pkgrel=2
+pkgrel=3
pkgdesc="Banshee Community Extensions is a repository and project for extensions to the Banshee \
media player that are community contributed and maintained."
arch=('i686' 'x86_64')
@@ -15,33 +15,38 @@ makedepends=('lsb-release' 'gnome-doc-utils>=0.17.3'
# AppIndicator
'libappindicator-sharp' 'notify-sharp'
# LastfmFingerprint and Mirage
- 'fftw>=3' 'libsamplerate'
+ 'fftw>=3' 'libsamplerate' 'gstreamer0.10-base-plugins>=0.10.15'
# LIRC
'lirc'
+ # OpenVP
+ 'taoframework'
# Telepathy
'empathy>=2.27.91' 'telepathy-gabble>=0.9' 'telepathy-mission-control>=5.3.1')
checkdepends=() # nunit is included in mono
-optdepends=(#'banshee-youtube: for banshee with youtube extension enabled'
- 'libappindicator-sharp: For the AppIndicator extension'
+optdepends=('libappindicator-sharp: For the AppIndicator extension'
'notify-sharp: For the AppIndicator extension'
'fftw>=3: For the LastFM Fingerprint and Mirage extensions'
'libsamplerate: For the LastFM Fingerprint and Mirage extensions'
- 'gstreamer0.10-base>=0.10.15: For the LastFM Fingerprint and Mirage extensions'
'gstreamer0.10-base-plugins>=0.10.15: For the LastFM Fingerprint and Mirage extensions'
'lcdproc: For the LCDproc extension'
'lirc: For the LIRC extension'
+ 'taoframework: For the OpenVP extension'
'empathy>=2.27.91: For the Telepathy extension'
'telepathy-gabble>=0.9: For the Telepathy extension'
'telepathy-mission-control>=5.3.1: For the Telepathy extension')
-source=(http://download.banshee.fm/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2)
+source=(http://http.debian.net/debian/pool/main/b/banshee-community-extensions/banshee-community-extensions_${pkgver}.orig.tar.bz2)
sha256sums=('6f20404de80090bb5d88a57c043e876a192f480ac3488ce7697344f1447d48b3')
build() {
cd ${pkgname}-${pkgver}
# Flag rationale:
# - Packages for ClutterFlow are not available
- # - OpenVP fails checks
# - Packages for Zeitgeist are not available
+ # - Webkit has been disabled in recent Banshee builds, making the following unbuildable:
+ # - Jamendo
+ # - Karaoke
+ # - Lyrics
+ # - Tests fail to compile
./configure --prefix=/usr \
--with-vendor-build-id="$(lsb_release -ds | sed -r 's/^"(.*)"$/\1/')" \
--enable-gnome \
@@ -55,22 +60,22 @@ build() {
--enable-coverwallpaper \
--enable-duplicatesongdetector \
--enable-foldersync \
- --enable-jamendo \
- --enable-karaoke \
+ --disable-jamendo \
+ --disable-karaoke \
--enable-lastfmfingerprint \
--enable-lcd \
--enable-lirc \
- --enable-lyrics \
+ --disable-lyrics \
--enable-liveradio \
--enable-magnatune \
--enable-mirage \
- --disable-openvp \
+ --enable-openvp \
--enable-radiostationfetcher \
--enable-randombylastfm \
--enable-streamrecorder \
--enable-telepathy \
--disable-zeitgeistdataprovider \
- --enable-tests \
+ --disable-tests \
--disable-shave \
DMCS=/usr/bin/mcs
make
@@ -80,8 +85,3 @@ package() {
cd ${pkgname}-${pkgver}
make DESTDIR=$pkgdir/ install
}
-
-check() {
- cd ${pkgname}-${pkgver}
- make check
-}